org.apache.sling.auth.xing.login.impl

## Class XingLoginAuthenticationPlugin

- java.lang.Object
- - org.apache.sling.auth.xing.login.impl.XingLoginAuthenticationPlugin

All Implemented Interfaces:
  org.apache.sling.jcr.jackrabbit.server.security.AuthenticationPlugin

    public class XingLoginAuthenticationPlugin
    extends Object
    implements org.apache.sling.jcr.jackrabbit.server.security.AuthenticationPlugin

### Constructor Summary

Constructors
Constructor and Description
`XingLoginAuthenticationPlugin(XingLoginUserManager xingLoginUserManager)`

### Method Summary

Methods
`boolean` `authenticate(javax.jcr.Credentials credentials)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XingLoginAuthenticationPlugin

    public XingLoginAuthenticationPlugin(XingLoginUserManager xingLoginUserManager)

### Method Detail

#### authenticate

    public boolean authenticate(javax.jcr.Credentials credentials)
                         throws javax.jcr.RepositoryException

Specified by:
  `authenticate` in interface `org.apache.sling.jcr.jackrabbit.server.security.AuthenticationPlugin`
Throws:
  `javax.jcr.RepositoryException`